<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_meta_include_button.php
| Author: wadday
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }


// Check if locale file is available matching the current site locale setting.
if (file_exists ( INFUSIONS . "meta_tag_panel/locale/" . $settings ['locale'] . ".php" )) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS . "meta_tag_panel/locale/" . $settings ['locale'] . ".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS . "meta_tag_panel/locale/English.php";
}
$form_elements['meta']['enabled'] = array("order1", "order2");
$form_elements['meta']['disabled'] = array("datelimit", "fields1", "fields2", "fields3", "sort", "chars");
$form_elements['meta']['display'] = array();
$form_elements['meta']['nodisplay'] = array();

$radio_button['meta'] = "<label><input type='radio' name='stype' value='meta'".($_GET['stype'] == "meta" ? " checked='checked'" : "")." onclick=\"display(this.value)\" />".$locale['search']."</label>";
?>