<?php
/*
	meta & tags v.1.0
	http://www.wadday.com
	http://www.dtawebdesign.com
	
	Developer: Abdullah Waheed (wadday)
	iwadday@gmail.com
	2009 14th January
*/ 


require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";
require_once LOCALE . LOCALESET . "admin/settings.php";

include INFUSIONS."meta_tag_panel/infusion_db.php";

if (! checkrights ( "MT" ) || ! defined ( "iAUTH" ) || $_GET ['aid'] != iAUTH) {
	redirect ( "../index.php" );
}



$version = " <a href='http://www.wadday.com' title='Wadday.com'>&copy;</a>";


// Check if locale file is available matching the current site locale setting.
if (file_exists ( INFUSIONS . "meta_tag_panel/locale/" . $settings ['locale'] . ".php" )) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS . "meta_tag_panel/locale/" . $settings ['locale'] . ".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS . "meta_tag_panel/locale/English.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "ok") {
		$message = $locale['met_added'];
	} elseif ($_GET['status'] == "up") {
		$message = $locale['met_update'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['met_delete'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

if (isset($_POST['save'])) {
	$keywords = stripinput($_POST['keywords']);	
	$itemid = stripinput($_POST['itemid']);
	$type = stripinput($_POST['type']);
	$description = stripinput($_POST['description']);
	
			$result = dbquery("INSERT INTO ".DB_META." (m_itemid, m_type, m_keywords, m_description) VALUES ('$itemid', '$type', '$keywords', '$description')");
	
			redirect(FUSION_SELF.$aidlink."&status=ok");		
}
else if (isset($_POST['delete']) && (isset($_POST['m_id']) && isnum($_POST['m_id']))) {
	$result = dbquery("DELETE FROM ".DB_META." WHERE m_id='".$_POST['m_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
}


$result = dbquery("SELECT * FROM ".DB_META." tm INNER JOIN ".DB_ARTICLES." ta ON tm.m_itemid=ta.article_id GROUP BY article_id ORDER BY m_type");
	if (dbrows($result) != 0) {
		$editlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($_POST['m_id'])) { $sel = ($_POST['m_id'] == $data['m_id'] ? " selected='selected'" : ""); }
			$editlist .= "<option value='".$data['m_id']."'$sel>".$data['article_subject']."</option>\n";
		}
opentable ($locale['met_exist']);	
echo "<div style='text-align:center'>\n<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<select name='m_id' class='textbox' style='width:200px;'>\n".$editlist."</select>\n";
	//	echo "<input type='submit' name='edit' value='".$locale['met_edit']."' class='button' />\n";
		echo "<input type='submit' name='delete' value='".$locale['met_dele']."' onclick='return DeletePage();' class='button' />\n";
		echo "</form>\n</div>\n";
		
closetable();

}

include INFUSIONS."meta_tag_panel/nav.php";

$result = dbquery("SELECT * FROM ".DB_ARTICLES."");
	if (dbrows($result) != 0) {
		$article = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($_POST['itemid'])) { $sel = ($_POST['itemid'] == $data['article_id'] ? " selected='selected'" : ""); }
			$article .= "<option value='".$data['article_id']."'$sel>".$data['article_subject']."</option>\n";
		}
		
opentable($locale['article']);
		echo "<div style='text-align:center;'>\n<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
		echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
		echo "<td width='100' class='tbl' valign='top'>\n</td>\n";
		echo "<td width='80%' class='tbl' align='left'><input type='hidden' name='type' value='A' class='textbox' />\n</tr>\n<tr>\n";
		echo "<td width='100' class='tbl' valign='top'>".$locale['met_sub']."\n</td>\n";
		echo "<td width='80%' class='tbl' align='left'>\n";
		echo "<select name='itemid' class='textbox'>".$article."</select>\n";
		echo "</tr>\n<tr>\n";
		echo "<td width='100' class='tbl' valign='top'>".$locale['met_text']."</td>\n";
		echo "<td width='80%' class='tbl' align='left'><textarea type='text' name='keywords' value='' class='textbox' style='width:250px;height:100px;' /></textarea><br>".$locale['set_8']."\n</td>\n</tr>\n<tr>";
		echo "<td width='100' class='tbl' valign='top'>Description</td>\n";
		echo "<td width='80%' class='tbl' align='left'><textarea type='text' name='description' value='' class='textbox' style='width:250px;height:100px;' /></textarea><br>".$locale['set_9']."\n</td>\n</tr>\n<tr>";
		echo "<td width='100' class='tbl'></td><td class='tbl' width='80%' align='left'><input type='submit' name='save' value='".$locale['met_save']."' class='button' />\n</td>\n\n";
		echo "</tr>\n</table>\n";
		echo "</form>\n</div>\n";
closetable();


}
else { echo $locale['emp_a']; }
	echo "<script type='text/javascript'>\n"."function DeletePage() {\n";
	echo "return confirm('".$locale['met_con']."');\n}"."\n";
	echo "function ValidateForm(frm) {\n"."if(frm.keywords.value=='') {\n";
	echo "alert('".$locale['met_key']."');\n"."return false;\n}\n";
	echo "\n}\n";
	echo "</script>\n";

	
	require_once THEMES."templates/footer.php";
?>