<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_meta_include.php
| Author: wadday
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists ( INFUSIONS . "meta_tag_panel/locale/" . $settings ['locale'] . ".php" )) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS . "meta_tag_panel/locale/" . $settings ['locale'] . ".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS . "meta_tag_panel/locale/English.php";
}

include INFUSIONS."meta_tag_panel/infusion_db.php";

if ($_GET['stype'] == "meta" || $_GET['stype'] == "all") {
  $rows = dbcount("(m_id)", DB_META, "m_keywords LIKE '%".$_GET['stext']."%'");
  if ($rows != 0) {
		$items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=meta&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$rows." ".($rows == 1 ? $locale['ms401'] : $locale['ms402'])." ".$locale['ms403']." (".$_GET['stext'].")</a><br />\n";
		$result = dbquery("
			SELECT * FROM ".DB_META." 
			WHERE m_keywords LIKE '%".$_GET['stext']."%'
			ORDER BY m_keywords".($_GET['stype'] != "all" ? " LIMIT ".$_GET['rowstart'].",10" : "")
     );
		while ($data = dbarray($result)) {
			$item = $data['m_type'];
			if($item == 'A') { $item = "<a href='".BASEDIR."articles.php?article_id=".$data['m_itemid']."'>".$locale['article']." </a>\n"; }
			if($item == 'F') { $item = "<a href='".BASEDIR."forum/viewforum.php?forum_id=".$data['m_itemid']."'>".$locale['forum']."</a>\n"; }
			if($item == 'T') { $item = "<a href='".BASEDIR."forum/viewthread.php?thread_id=".$data['m_itemid']."'>".$locale['thread']."</a>\n"; }
			if($item == 'N') { $item = "<a href='".BASEDIR."news.php?readmore=".$data['m_itemid']."'>".$locale['news']."</a>\n"; }
			$search_result = "<a href='profile.php?lookup=".$data['m_itemid']."'>".$item."</a><br />\n";
			search_globalarray($search_result);
     }
	} else {
		$items_count .= THEME_BULLET."&nbsp;0 ".$locale['ms402']." ".$locale['ms403']." ".$_GET['stext']."<br />\n";
	}
	$navigation_result = search_navigation($rows);
}
?>